/*
 * Copyright (c) 2001-2006
 *     DecisionSoft Limited. All rights reserved.
 * Copyright (c) 2004-2006
 *     Progress Software Corporation. All rights reserved.
 * Copyright (c) 2004-2006
 *     Oracle. All rights reserved.
 *
 * See the file LICENSE for redistribution information.
 *
 * $Id: FunctionNodeName.hpp,v 1.9 2007/02/07 12:13:05 jpcs Exp $
 */

/*
  xf:node-name(node $srcval) => QName?
*/

#ifndef _FUNCTIONNODENAME_HPP
#define _FUNCTIONNODENAME_HPP

#include <xqilla/framework/XQillaExport.hpp>

#include <xqilla/ast/ConstantFoldingFunction.hpp>

class XQILLA_API FunctionNodeName : public ConstantFoldingFunction
{
public:
  static const XMLCh name[];
  static const unsigned int minArgs;
  static const unsigned int maxArgs;

  FunctionNodeName(const VectorOfASTNodes &args, XPath2MemoryManager* memMgr);

  Sequence createSequence(DynamicContext* context, int flags=0) const;
};

#endif // _FUNCTIONNODEName_HPP



